PHPExcel_Worksheet

# Class: PHPExcel_Worksheet_Row

Source Location: /PHPExcel/Worksheet/Row.php

### Class Overview

PHPExcel_Worksheet_Row

#### Author(s):

#### Copyright:

- Copyright (c) 2006 - 2012 PHPExcel (http://www.codeplex.com/PHPExcel)

### Methods

- __construct
- __destruct
- getCellIterator
- getRowIndex

### Class Details

[line 38]
PHPExcel_Worksheet_Row

Represents a row in PHPExcel_Worksheet, used by PHPExcel_Worksheet_RowIterator

#### Tags:

copyright: | Copyright (c) 2006 - 2012 PHPExcel (http://www.codeplex.com/PHPExcel)

[ Top ]

### Class Methods

### constructor __construct [line 60]

`PHPExcel_Worksheet_Row __construct( [PHPExcel_Worksheet $parent = null], [int $rowIndex = 1])`

Create a new row

#### Tags:

access: | public

#### Parameters:

PHPExcel_Worksheet | $parent |
int | $rowIndex |

[ Top ]

### destructor __destruct [line 69]

`void __destruct( )`

Destructor

#### Tags:

access: | public

[ Top ]

### method getCellIterator [line 87]

`PHPExcel_Worksheet_CellIterator getCellIterator( )`

Get cell iterator

#### Tags:

access: | public

[ Top ]

### method getRowIndex [line 78]

`int getRowIndex( )`

Get row index

#### Tags:

access: | public

[ Top ]

Documentation generated on Fri, 12 Oct 2012 00:17:35 +0200 by phpDocumentor 1.4.4